Bug 72 - python optimization flag doesn\\\\\\\'t work
: python optimization flag doesn\\\\\\\'t work
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/python)
: unstable
: all Linux
: P4 minor
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2001-10-13 19:08 by
Modified: 2003-08-25 15:18 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2001-10-13 19:08:22
pythonlib-1.28-alt1
python-2.1.1-alt3
python-devel-2.1.1-alt3

Какая-то проблемма с /usr/lib/python2.1/site.py

test.py:
print \\\\\\\'qwe\\\\\\\'

&lt;<a href="mailto:xmm@xoxma&gt" target="_new">xmm@xoxma&gt</a>;# python -Ov test.py
# /usr/lib/python2.1/site.pyo matches /usr/lib/python2.1/site.py
\\\\\\\'import site\\\\\\\' failed; traceback:
ValueError: bad marshal data
Python 2.1.1 (#1, Sep  4 2001, 11:12:38) 
[GCC 2.96 20000731 (ALT Linux, build 2.96-ipl14mdk)] on linux-i586
Type \\\\
---

---

------- Comment #1 From 2002-01-29 21:29:40 -------
Fixed in:
python21-2.1.1-alt4
python22-2.2-alt5
------- Comment #2 From 2002-01-29 21:29:40 -------
Fixed in:
python21-2.1.1-alt4
python22-2.2-alt5